/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.secondary-nav {

    ul {

        display: flex;
        flex-wrap: nowrap;
        flex-direction: column;

        li {

            a,
            button {
                padding: rem(20) rem(16);
                min-height: rem(64);
                display: flex;
                align-items: center;
                text-decoration: none;
                color: var(--menu-color);
                position: relative;
                transition: all 0.5s ease-in-out;
                overflow: hidden;
                width: 100%;
                background-color: transparent;
                border: 0;

                &::after{
                    content: '';
                    width: 0;
                    height: 100%;
                    position: absolute;
                    bottom: 0;
                    left: 200%;
                    z-index: 1;
                    transition: all 0.5s ease;
                    background: linear-gradient(90deg, rgba(11, 8, 62, 0) 0%, #4C42CB 50%, rgba(11, 8, 62, 0) 100%);
                    z-index: -1;
                }

                .icon-left {
                    width: rem(24);
                    aspect-ratio: 1/1;
                    margin-right: rem(8);
                    font-size: rem(16);
                    line-height: rem(24);
                    display: block;
                    text-align: center;
                    line-height: rem(24);
                    position: relative;

                    .icon-list{ 
                        font-size: rem(13);
                    }

                    i { 
                        line-height: rem(24);
                        position: absolute;
                        left: 0;
                        right: 0;
                        top: 0;
                        bottom: 0;
                        margin: auto;
                    }

                }

                .text {

                    font-weight: 600;
                    font-size: rem(14);
                    line-height: normal;

                    span {
                        display: block;
                        font-weight: 300;
                    }
                }

                .icon-arrow {
                    position: absolute;
                    right: rem(24);
                    height: rem(8);
                    width: rem(8);
                    top: 50%;
                    transform: translateY(-50%);
                    font-size: rem(8);
                    opacity: 0;
                    transition: all 0.3s ease;
                }

                &:hover,
                &:focus,
                &.active {
                    color: var(--white);

                    .icon-left i{
                        color: var(--color-hover-icon);
                    }

                    .icon-arrow{
                        opacity: 1;
                    }

                    &::after{
                        width: 200%;
                        left: -100%;
                        -webkit-transition: width 0.5s ease;
                        transition: width 0.5s ease;
                    }
                }

            }

        }

    }
}

.title-updates{
    margin-bottom: rem(32);
    padding: rem(0) rem(16);
    font-size: rem(14);
    color: var(--color-default-2);
}

.update-nav {
    margin-top: rem(32);
    padding-top: rem(32);
    border-top: rem(1) solid var(--border-color);

    ul {

        display: flex;
        flex-wrap: nowrap;
        flex-direction: column;

        li {

            a {
                padding: rem(20) rem(16);
                min-height: rem(64);
                display: flex;
                align-items: center;
                text-decoration: none;
                color: var(--menu-color);
                position: relative;
                transition: all 0.5s ease-in-out;
                overflow: hidden;

                &::after{
                    content: '';
                    width: 0;
                    height: 100%;
                    position: absolute;
                    bottom: 0;
                    left: 200%;
                    z-index: 1;
                    transition: all 0.5s ease;
                    background: linear-gradient(90deg, rgba(11, 8, 62, 0) 0%, #4C42CB 50%, rgba(11, 8, 62, 0) 100%);
                    z-index: -1;
                }

                .text {
                    display: flex;
                    align-items: center;
                    font-weight: 400;
                    font-size: rem(14);
                    line-height: normal;
                    color: var(--color-default-1);
                    

                    span {
                        display: block;
                        color: var(--color-default-2);
                        margin-right: 5px;
                    }
                }

                .icon-arrow {
                    position: absolute;
                    right: rem(24);
                    height: rem(8);
                    width: rem(8);
                    top: 50%;
                    transform: translateY(-50%);
                    font-size: rem(8);
                    opacity: 0;
                    transition: all 0.3s ease;
                }

                &:hover,
                &.active {
                    color: var(--white);

                    &::after{
                        width: 200%;
                        left: -100%;
                        -webkit-transition: width 0.5s ease;
                        transition: width 0.5s ease;
                    }

                    .icon-left i{
                        color: var(--color-hover-icon);
                    }

                    .icon-arrow{
                        opacity: 1;
                    }
                }

            }

        }

    }

}
